Skip to main content
GET
/
v1
/
accounts
/
referrals
/
earnings
List Referral Earnings
curl --request GET \
  --url https://api.predictamarkets.com/v1/accounts/referrals/earnings \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 501,
    "amount": "3.00",
    "currency": "PT",
    "event_type": "DEPOSIT",
    "referred_account_id": 1001,
    "created_at": "2026-05-10T14:23:00+00:00"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.predictamarkets.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
default:your-api-key-here
required

Query Parameters

skip
integer
default:0
Required range: x >= 0
limit
integer
default:10
Required range: 1 <= x <= 100
interval_days
integer

Only return earnings created in the last N days.

Required range: x >= 1
Example:

30

event_type
enum<string>

Filter by the event that triggered the earning.

Available options:
DEPOSIT,
TRADE,
SIGNUP,
VERIFICATION,
ORDER,
WIN

Response

List of referral earnings

id
integer
required

Unique earning record ID.

amount
string
required

Amount earned in this single referral earning event (in the currency field's denomination).

Example:

"3.00"

currency
string
required

Currency of this earning. Typically PT (Predicta Token).

Example:

"PT"

event_type
string | null

The qualifying action performed by the referred user that triggered this earning (e.g. DEPOSIT, TRADE).

referred_account_id
integer | null

ID of the referred account whose action triggered this earning.

created_at
string<date-time> | null

Timestamp when this earning was credited.